/*!
 * Built by ShiftSoftware
 * Copyright (c)
 */
import { h } from "@stencil/core";
import cn from "../../../global/lib/cn";
export const FormInputLabel = ({ label, isRequired, name }) => {
    if (!label)
        return false;
    return (h("div", { part: cn('form-input-label', {
            [`${name}-label`]: !!name,
        }), class: "form-input-label" }, label, isRequired && (h("span", { part: cn('form-input-label-required-star', {
            [`${name}-label-required-star`]: !!name,
        }), class: "form-input-label-required-star" }, "*"))));
};
